UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Get a scalar field via an iterator

## Functions
LBMSDMExpDLL int | lbmsdm_iter_get_boolean (lbmsdm_iter_t *Iterator, uint8_t *Value)
| Fetch a field value from the field referenced by an iterator. More...
LBMSDMExpDLL int | lbmsdm_iter_get_int8 (lbmsdm_iter_t *Iterator, int8_t *Value)
LBMSDMExpDLL int | lbmsdm_iter_get_uint8 (lbmsdm_iter_t *Iterator, uint8_t *Value)
LBMSDMExpDLL int | lbmsdm_iter_get_int16 (lbmsdm_iter_t *Iterator, int16_t *Value)
LBMSDMExpDLL int | lbmsdm_iter_get_uint16 (lbmsdm_iter_t *Iterator, uint16_t *Value)
LBMSDMExpDLL int | lbmsdm_iter_get_int32 (lbmsdm_iter_t *Iterator, int32_t *Value)
LBMSDMExpDLL int | lbmsdm_iter_get_uint32 (lbmsdm_iter_t *Iterator, uint32_t *Value)
LBMSDMExpDLL int | lbmsdm_iter_get_int64 (lbmsdm_iter_t *Iterator, int64_t *Value)
LBMSDMExpDLL int | lbmsdm_iter_get_uint64 (lbmsdm_iter_t *Iterator, uint64_t *Value)
LBMSDMExpDLL int | lbmsdm_iter_get_float (lbmsdm_iter_t *Iterator, float *Value)
LBMSDMExpDLL int | lbmsdm_iter_get_double (lbmsdm_iter_t *Iterator, double *Value)
LBMSDMExpDLL int | lbmsdm_iter_get_decimal (lbmsdm_iter_t *Iterator, lbmsdm_decimal_t *Value)
LBMSDMExpDLL int | lbmsdm_iter_get_timestamp (lbmsdm_iter_t *Iterator, struct timeval *Value)
LBMSDMExpDLL int | lbmsdm_iter_get_message (lbmsdm_iter_t *Iterator, lbmsdm_msg_t **Value)
LBMSDMExpDLL int | lbmsdm_iter_get_string (lbmsdm_iter_t *Iterator, char *Value, size_t *Size)
| Fetch a string field value from the field referenced by an iterator. More...
LBMSDMExpDLL int | lbmsdm_iter_get_unicode (lbmsdm_iter_t *Iterator, wchar_t *Value, size_t *Size)
| Fetch a unicode field value from the field referenced by an iterator. More...
LBMSDMExpDLL int | lbmsdm_iter_get_blob (lbmsdm_iter_t *Iterator, void *Value, size_t *Size)
| Fetch a BLOB field value from the field referenced by an iterator. More...

## Detailed Description

The functions in this group allow the retrieval of the value of a scalar (non-array) field, referenced by an iterator.

## Function Documentation

LBMSDMExpDLL int lbmsdm_iter_get_blob | ( | lbmsdm_iter_t * | Iterator,
|  | void * | Value,
|  | size_t * | Size
| ) |  |

Fetch a BLOB field value from the field referenced by an iterator.

Parameters

  Iterator | The SDM iterator to use.
  Value | Pointer to variable where the value is stored.
  Size | Pointer to a variable containing the maximum size of Value in bytes. On exit, it will contain the actual size of the data.

Return values

  LBMSDM_SUCCESS | if successful
  LBMSDM_INSUFFICIENT_BUFFER_LENGTH | if Size is not large enough for the data. Size will contain the length required in bytes.
  LBMSDM_FAILURE | otherwise.

LBMSDMExpDLL int lbmsdm_iter_get_boolean | ( | lbmsdm_iter_t * | Iterator,
|  | uint8_t * | Value
| ) |  |

Fetch a field value from the field referenced by an iterator.

Parameters

  Iterator | The SDM iterator to use.
  Value | Pointer to variable where the value is stored.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.

LBMSDMExpDLL int lbmsdm_iter_get_decimal | ( | lbmsdm_iter_t * | Iterator,
|  | lbmsdm_decimal_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_get_double | ( | lbmsdm_iter_t * | Iterator,
|  | double * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_get_float | ( | lbmsdm_iter_t * | Iterator,
|  | float * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_get_int16 | ( | lbmsdm_iter_t * | Iterator,
|  | int16_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_get_int32 | ( | lbmsdm_iter_t * | Iterator,
|  | int32_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_get_int64 | ( | lbmsdm_iter_t * | Iterator,
|  | int64_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_get_int8 | ( | lbmsdm_iter_t * | Iterator,
|  | int8_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_get_message | ( | lbmsdm_iter_t * | Iterator,
|  | lbmsdm_msg_t ** | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_get_string | ( | lbmsdm_iter_t * | Iterator,
|  | char * | Value,
|  | size_t * | Size
| ) |  |

Fetch a string field value from the field referenced by an iterator.

Parameters

  Iterator | The SDM iterator to use.
  Value | Pointer to variable where the value is stored.
  Size | Pointer to a variable containing the maximum size of Value (including the terminating null character). On exit, it will contain the actual size of the string (including the terminating null character).

Return values

  LBMSDM_SUCCESS | if successful
  LBMSDM_INSUFFICIENT_BUFFER_LENGTH | if Size is not large enough for the string. Size will contain the length required.
  LBMSDM_FAILURE | otherwise.

LBMSDMExpDLL int lbmsdm_iter_get_timestamp | ( | lbmsdm_iter_t * | Iterator,
|  | struct timeval * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_get_uint16 | ( | lbmsdm_iter_t * | Iterator,
|  | uint16_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_get_uint32 | ( | lbmsdm_iter_t * | Iterator,
|  | uint32_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_get_uint64 | ( | lbmsdm_iter_t * | Iterator,
|  | uint64_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_get_uint8 | ( | lbmsdm_iter_t * | Iterator,
|  | uint8_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_iter_get_unicode | ( | lbmsdm_iter_t * | Iterator,
|  | wchar_t * | Value,
|  | size_t * | Size
| ) |  |

Fetch a unicode field value from the field referenced by an iterator.

Parameters

  Iterator | The SDM iterator to use.
  Value | Pointer to variable where the value is stored.
  Size | Pointer to a variable containing the maximum size of Value in `wchar_t`s. On exit, it will contain the actual size of the data in `wchar_t`s.

Return values

  LBMSDM_SUCCESS | if successful
  LBMSDM_INSUFFICIENT_BUFFER_LENGTH | if Size is not large enough for the data. Size will contain the length required in `wchar_t`s.
  LBMSDM_FAILURE | otherwise.